com.rscja.deviceapi

## Enum BDNavigation.BDStartModeEnum

- java.lang.Object
- - java.lang.Enum<BDNavigation.BDStartModeEnum>
  - - com.rscja.deviceapi.BDNavigation.BDStartModeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BDNavigation.BDStartModeEnum>
  Enclosing class:
    BDNavigation

      public static enum BDNavigation.BDStartModeEnum
      extends java.lang.Enum<BDNavigation.BDStartModeEnum>

  模块启动类型枚举
  Author:
    liuruifeng

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLD` 冷启动
    `HOT` 热启动
    `WARM` 温启动

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BDNavigation.BDStartModeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BDNavigation.BDStartModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COLD

          public static final BDNavigation.BDStartModeEnum COLD

      冷启动

    - #### WARM

          public static final BDNavigation.BDStartModeEnum WARM

      温启动

    - #### HOT

          public static final BDNavigation.BDStartModeEnum HOT

      热启动

  - ### Method Detail

    - #### values

          public static BDNavigation.BDStartModeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BDNavigation.BDStartModeEnum c : BDNavigation.BDStartModeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BDNavigation.BDStartModeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null